# xcl-online-mod

This is a patch for X-Change Life, that enables a modded version to be played "online".

The patch will work with a local Game and Mods, but all resources (images, videos, music, sound, ...) of the *base game* are loaded
from the X-Change Life webserver. Mod resources are still loaded locally.

Thus no need to download 5+GB for playing with mods!

**NOTE:** This is not a mod for the X-Change Life Modding framework!  
It replaces the original X-Change Life game file (X-Change Life.html) with a patched version.

## How to use
Just download, extract and open X-Change Life.html in your favorite browser. The game will run like the orignial online version on https://x-change.life/

To add Mods, use the official X-Change Life mod-loader and follow the instructions at https://gitgud.io/xchange-life/mod-loader/-/wikis/home

A short summary:
- Download the mod-loader JAR from https://gitgud.io/xchange-life/mod-loader/-/releases
- Download mods from https://gitgud.io/xchange-life/mod-loader/-/wikis/List-of-Mods
- Start the mod-loader (double-click on JAR file, Java required), and add your mods
- Click "Load mods"
- Open X-Change Life Mod.html in your browser
- Profit!

## Updating to new X-Change Life version
The patch will simply add an addiotinal JS file at the bottom of the HTML file. The current version (0.16e) is bundled with this patch.

When a new version of X-Change Life is released, it must be updated. Simply go to http://x-change.life/ and save the website locally 
(e.g. in FireFox, Right-Click > Save Website As... > (choose "Website (Only HTML))")

The file MUST be named "X-Change Life.html", as this is also required by the mod-loader.

Then, double-click on "patcher.bat"

Finished! 

After this, the mods must be re-installed using the mod-loader

### Changed JS/CSS
The base game includes some JS and CSS files in the header directly. Those are also bundled in this package. I don't assume they will change 
frequently, but if so, they also must be downloaded from the original game.

They can be found at the top of the HTML file, in `<script src=...>` and `<link rel="stylesheet" src=...>`

